mui.init()

mui.plusReady(function() {
	var detail = new Vue({
		el: '.detail',
		data: {
			data: '',
			state: '',
			add: '添加',
			collection: '收藏',
			prompt: plus.storage.getItem("studentprompt") || false
		},
		updated: function() {

		}
	})
	detail.state = localStorage.getItem('state')

	var self = plus.webview.currentWebview();
	//			 读取传递过来的参数
	var id = self.parameterid;
	console.log(self.parameterid)
	//			var id = '6f1e8dbc792d4079914c862a5d692d5f'
	common.ajax('student/bookCity/' + id, {
		token: common.token,
		uid: common.uid,
	}, function(data) {
		if(data.code == 200) {
			//			console.log(JSON.stringify(data))
			detail.data = data.data
			bookstate()
			if(data.data.hasAdd) {
				detail.collection = '已收藏'
				//				mui-btn-outlined
				$(".collection button").removeClass("mui-btn-outlined")
			} else {
				detail.collection = '收藏'
			}
		} else {
			mui.toast(data.message)
		}
	})

	$(".close").on("tap", function() {
		plus.storage.setItem("studentprompt", 'true')
		detail.prompt = true
	})
	$(document).on('tap', '.add', function() {
		var books = JSON.parse(localStorage.getItem('books')) || []
		if(!$(this).hasClass('added')) {
			$('.add').addClass('added')
			detail.add = '已添加'
			$('.addbutton').css({
				'background': "#21B0FD",
				'color': "#fff"
			})
			var obj = {
				bookid: detail.data.id,
				booksrc: detail.data.bookPic,
				bookname: detail.data.bookName
			}
			books.push(obj)
		} else {
			$('.addbutton').css({
				'background': "none",
				'color': "#21B0FD"
			})
			detail.add = '添加'
			$('.add').removeClass('added')
			for(var i = 0; i < books.length; i++) {
				if(books[i].bookid == detail.data.id) {
					books.splice(i, 1)
				}
			}
		}
		localStorage.setItem('books', JSON.stringify(books))
		var list = plus.webview.getWebviewById('../bookdetails/details.html');　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
		mui.fire(list, 'booknum');
		var bookshelf = plus.webview.getWebviewById("../home/bookshelf.html")
		mui.fire(bookshelf, 'mybookshelf');
		var lists = plus.webview.getWebviewById("joinreading.html");
		mui.fire(lists, 'bookaddnum');
		plus.webview.getWebviewById('nominate.html').reload()
		plus.webview.getWebviewById('recommend.html').reload()
		plus.webview.getWebviewById('hotbooks.html').reload()
		var list = plus.webview.getWebviewById('searchdetails.html');　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
		mui.fire(list, 'refreshs');
		//				var lists = plus.webview.getWebviewById("joinreading.html");
		//				mui.fire(lists, 'joinreading');
		//				if(plus.webview.getWebviewById('searchdetails.html') != null) {
		//					var searchdetails = plus.webview.getWebviewById('searchdetails.html')
		//					mui.fire(searchdetails, 'refresh');
		//				}
	})
	var swith = false
	$(document).on('tap', ".collection", function() {
		if(swith) {
			return
		}
		swith = true
		if(detail.collection == '收藏') {
			common.ajax("student/myShelf/addBook", {
				uid: common.uid,
				token: common.token,
				bookUid: detail.data.uid
			}, function(data) {
				if(data.code == 200) {
					//							var list = plus.webview.getWebviewById("../stacks/bookshelfs.html");
					//							mui.fire(list, 'refresh');
					if(plus.webview.getWebviewById("../home/bookshelf.html") != null) {
						plus.webview.getWebviewById("../home/bookshelf.html").reload()
					}
					var list = plus.webview.getWebviewById('searchdetails.html');　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
					mui.fire(list, 'refreshs');
					detail.collection = '已收藏'
					mui.toast("已收藏")
					$(".collection button").removeClass("mui-btn-outlined")
				} else {
					mui.toast(data.message)
				}
				swith = false
			})
		} else {
			common.ajax("student/myShelf/delete", {
				uid: common.uid,
				token: common.token,
				bookUid: detail.data.uid
			}, function(data) {
				if(data.code == 200) {
					//							var list = plus.webview.getWebviewById("../stacks/bookshelfs.html");
					//							mui.fire(list, 'refresh');
					if(plus.webview.getWebviewById("../home/bookshelf.html") != null) {
						plus.webview.getWebviewById("../home/bookshelf.html").reload()
					}

					var list = plus.webview.getWebviewById('searchdetails.html');　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
					mui.fire(list, 'refreshs');
					detail.collection = '收藏'
					$(".collection button").addClass("mui-btn-outlined")
					mui.toast("已取消收藏")
				} else {
					mui.toast(data.message)
				}
				swith = false
			})
		}
	})

	function bookstate() {
		var books = JSON.parse(localStorage.getItem('books')) || []
		for(var i = 0; i < books.length; i++) {
			if(books[i].bookid == detail.data.id) {
				detail.add = '已添加'
				$('.addbutton').css({
					'background': "#21B0FD",
					'color': "#fff"
				})
				$('.add').addClass('added')
			}
		}
	}
	//去发布计划
	$(document).on("tap", '.reading', function() {
		var obj = {
			bookid: detail.data.id,
			booksrc: detail.data.bookPic,
			bookname: detail.data.bookName
		}
		var arry = [obj]
		localStorage.setItem('books', JSON.stringify(arry))
		var w = plus.webview.create('../reading/release.html', '../reading/release.html');
		plus.webview.show(w, 'slide-in-left');
		if(plus.webview.getWebviewById("../teachstudy/seach.html") != null) {
			plus.webview.close("../teachstudy/seach.html")
		}
		if(plus.webview.getWebviewById("searchdetails.html") != null) {
			plus.webview.close("searchdetails.html")
		}
		plus.webview.close("../bookdetails/details.html")
	})
	window.addEventListener('addstate', function(e) { //执行刷新
		$('.addbutton').css({
			'background': "none",
			'color': "#21B0FD"
		})
		detail.add = '添加'
		$('.add').removeClass('added')
		bookstate()
	});
})