mui.init()
mui.plusReady(function() {
	plus.device.setWakelock(true);
	$(".mui-content").height($(window).height())
	$(".aplayheade").height($(".mui-content").height() - 125)
	var self = plus.webview.currentWebview();
	var obj = self.parameter;
	//var obj = {
	//	"caseuid": "6ae66839662f4b1593fa4f5d54d535e2",
	//	"plancaseuid": ""
	//}
	//				console.log(obj.caseuid)
	common.ajax("student/reading/queryPage", {
		uid: common.uid,
		token: common.token,
		caseUid: obj.caseuid
	}, function(data) {
		if(data.code == 200) {
			muisrc(data)
			//						console.log(data)
			$(".main").attr("uid", data.data.uid)
			$(".mui-title").text(data.data.caseName)
			$(".average_num").text(data.data.averageScore)
			$(".frequency_num").text(data.data.readingCount)
		} else {
			mui.toast(data.message)
		}
	}, "get")

	document.addEventListener("plusready", onPlusReady, false);

	var r = null;
	// 扩展API加载完毕，现在可以正常调用扩展API 
	function onPlusReady() {
		r = plus.audio.getRecorder();
	}

	function muisrc(data) {
		var time = []
		$.each(data.data.caseTimeList, function(e, a) {
			if(a.length == 4) {
				a = "0" + a
			}
			time.push(a.split(".").join(":") + '.00')
		})
		//					console.log(data.data.caseUrl)
		var temp = ""
		for(var i = 0; i < data.data.caseLycList.length; i++) {
			temp += '[' + time[i] + ']' + data.data.caseLycList[i] + "\n"
		}
		var ap3 = new APlayer({
			element: document.getElementById('player3'),
			narrow: false,
			autoplay: false,
			showlrc: 1,
			mutex: true,
			theme: '#615754',
			preload: 'metadata',
			mode: 'order',
			music: {
				title: data.data.caseName,
				author: '',
				url: data.data.caseUrl,
				pic: '',
				lrc: temp
			}
		});

		try {
			ap3.audio.currentTime = 0
		} catch(e) {
			console.log(e)
		}
		ap3.on('ended', function() {
			$(".suspend").hide()
			$(".broadcast").show()
			/*$(".broadcasts").show()
			$(".planzantin").hide()*/
		});
		$('.example').on("tap", function() {
			//关闭慧听是否开启,开启就关闭
			if(plus.webview.getWebviewById("dictationPlay.html")) {
				plus.webview.close("dictationPlay.html");
				plus.webview.close("dictationClsData.html")
				localStorage.setItem("clearplay", false)
				var wvs = plus.webview.all();
				for(var i = 0; i < wvs.length; i++) {
					var list = plus.webview.getWebviewById(wvs[i].id)
					mui.fire(list, 'clearplay');
				}
			}
			ap3.setMusic(0)
			ap3.audio.currentTime = 0
			$(this).parents(".operation").css({
				'-webkit-transform': 'translate(100%)',
				'-moz-transform': 'translate(100%)',
				'-ms-transform': 'translate(100%)',
				'-o-transform': 'translate(100%)',
				'transform': 'translate(100%)'
			})
			$(".aplayer-controller").css({
				'-webkit-transform': 'translate(0%)',
				'-moz-transform': 'translate(0%)',
				'-ms-transform': 'translate(0%)',
				'-o-transform': 'translate(0%)',
				'transform': 'translate(0%)'
			})
			setTimeout(function() {
				ap3.play()
			}, 1000)
			$(".broadcast").hide()
			$(".suspend").show()
		})
		$(".broadcast").on("tap", function() {
			ap3.play()
			$(this).hide()
			$(".suspend").show()
		})
		$(".suspend").on("tap", function() {
			ap3.pause()
			$(this).hide()
			$(".broadcast").show()
		})
		$(".state").on("tap", function() {
			ap3.audio.currentTime = 0
			ap3.pause()
			$(".suspend").hide()
			$(".broadcast").show()
			$(".operation").css({
				'-webkit-transform': 'translate(0%)',
				'-moz-transform': 'translate(0%)',
				'-ms-transform': 'translate(0%)',
				'-o-transform': 'translate(0%)',
				'transform': 'translate(0%)'
			})
			$(".aplayer-controller").css({

				'-webkit-transform': 'translate(-120%)',
				'-moz-transform': 'translate(-120%)',
				'-ms-transform': 'translate(120%)',
				'-o-transform': 'translate(120%)',
				'transform': 'translate(120%)',
			})
		})

		var dragstartTime = 0
		var dragTime = 0
		var dragendTime = 0
		$(document).on("dragstart", ".aplayer-bar-wrap", function() {
			$('.broadcast').hide()
			$(".suspend").show()
			ap3.play()
			dragstartTime = ap3.audio.currentTime
		})
		$(document).on("drag", ".aplayer-bar-wrap", function(e) {
			dragTime = (dragstartTime + (e.detail.deltaX / 8))
			if(dragTime < 0) {
				$('.aplayer-ptime').text('00:00')
				return
			}
			dragendTime = formatSeconds(dragTime).slice(3, 8)
			$('.aplayer-ptime').text(dragendTime)
			if(dragendTime > $(".aplayer-dtime").text()) {
				$('.aplayer-ptime').text($(".aplayer-dtime").text())
			}
			ap3.audio.currentTime = dragTime
		})

		function formatSeconds(s) {
			var t;
			if(s > -1) {
				var hour = Math.floor(s / 3600);
				var min = Math.floor(s / 60) % 60;
				var sec = s % 60;
				if(hour < 10) {
					t = '0' + hour + ":";
				} else {
					t = hour + ":";
				}

				if(min < 10) {
					t += "0";
				}
				t += min + ":";
				if(sec < 10) {
					t += "0";
				}
				t += sec.toFixed(2);
			}
			return t;
		}
	}
	$(document).on("tap", ".start", function() {
		common.open("recording.html", "recording.html", obj)
	})
})