mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});
var temp = 1
var reads = new Vue({
	el: '.rendering',
	data: {
		list: [],
		queryComment: [],
		total: ''
	}
})

mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var obj = self.parameter;
	$(".rendering").attr("readingrecorduid", obj.readingrecorduid)
	common.ajax("student/reading/queryDetail", {
		uid: common.uid,
		token: common.token,
		readingRecordUid: obj.readingrecorduid
	}, function(data) {
		if(data.code == 200) {
			synchronization(data)
			rendering(data)
		} else {
			mui.toast(data.message)
		}
	}, "get")

	function synchronization(data) {

		var time = []
		$.each(data.data.caseTimeList, function(e, a) {
			if(a.length == 4) {
				a = "0" + a
			}
			time.push(a.split(".").join(":") + '.00')
		})
		var temp = ""
		for(var i = 0; i < data.data.caseLycList.length; i++) {
			temp += '[' + time[i] + ']' + data.data.caseLycList[i] + "\n"
		}
		var ap3 = new APlayer({
			element: document.getElementById('player3'),
			narrow: false,
			autoplay: false,
			showlrc: 1,
			mutex: true,
			theme: '#615754',
			preload: 'metadata',
			mode: 'order',
			music: {
				title: data.data.caseName,
				author: '',
				url: data.data.readingUrl,
				pic: '',
				lrc: temp
			}
		});

		$(".playback").on("tap", function() {
			//关闭慧听是否开启,开启就关闭
			if(plus.webview.getWebviewById("dictationPlay.html")) {
				plus.webview.close("dictationPlay.html");
				plus.webview.close("dictationClsData.html")
				localStorage.setItem("clearplay", false)
				var wvs = plus.webview.all();
				for(var i = 0; i < wvs.length; i++) {
					var list = plus.webview.getWebviewById(wvs[i].id)
					mui.fire(list, 'clearplay');
				}
			}
			$(this).hide()
			$(".suspend").show()
			$(".backdrop").hide()
			$(".aplayer-controller").css("display", "block !important")
			clearTime = setTimeout(sethide, 3000)
			ap3.play()
			//					sethide()
		})
		var clearTime = ""
		$(".suspend").on("tap", function(e) {
			$(this).hide()
			ap3.pause()
			$(".playback").show()
			$(".backdrop").show()
			$(".aplayer-controller").css("display", "none !important")
			clearTimeout(clearTime)
			e.stopPropagation()
		})
		var kai = false

		$(".aplayer-lrc").on("tap", function() {
			if(kai) {
				$(".suspend").show()
				$(".aplayer-controller").css("display", "block !important")
				kai = false
				clearTime = setTimeout(sethide, 3000)
			} else {
				$(".suspend").hide()
				$(".aplayer-controller").css("display", "none !important")
				kai = true
				clearTimeout(clearTime)
			}
		})
		$(".aplayer-controller").on("tap", function() {
			clearTimeout(clearTime)
			clearTime = setTimeout(sethide, 5000)
		})

		function sethide() {
			$(".suspend").hide()
			$(".aplayer-controller").css("display", "none !important")
			kai = true
		}
		ap3.on('ended', function() {
			$(".suspend").hide()
			$(".playback").show()
			$(".backdrop").show()
			$(".aplayer-controller").css("display", "none !important")
		});
		ap3.on('pause', function() {
			$(".suspend").hide()
			$(".playback").show()
			$(".backdrop").show()
			$(".aplayer-controller").css("display", "none !important")
		});

		/*我来试一试*/
		$(document).on("tap", ".comment", function() {
			var obj = {
				"caseuid": $(".rendering").attr("caseUid"),
				"plancaseuid": ""
			}
			ap3.pause()
			common.open("play.html", "play.html", obj)
		})
		$(document).on("tap", ".goread", function() {
			ap3.pause()
			common.open("addread.html", "addread.html", '')
		})

		//					mui("audio_main").addEventListener("swipeleft", function() {
		//						alert()
		//					})
		var dragstartTime = 0
		var dragTime = 0
		var dragendTime = 0
		$(".audio_main").on("dragstart", function() {
			dragstartTime = ap3.audio.currentTime
		})
		$(".audio_main").on("drag", function(e) {
			$(".fastForward").show()
			dragTime = (dragstartTime + (e.detail.deltaX / 8))
			if(dragTime < 0) {
				$(".fastForward").text('00:00')
				return
			}
			dragendTime = formatSeconds(dragTime).slice(3, 8)
			$(".fastForward").text(dragendTime)
			if(dragendTime > $(".aplayer-dtime").text()) {
				$(".fastForward").text($(".aplayer-dtime").text())
			}
		})
		$(".audio_main").on("dragend", function(e) {
			$(".fastForward").hide()
			if(dragTime < 0) {
				ap3.audio.currentTime = 0
			} else {
				ap3.audio.currentTime = dragTime
			}
		})
	}
	var tempLate = ""

	function rendering(data) {
		reads.list = data.data
		if(data.data.hasLike) {
			tempLate = '<div class="haslike"><img src="../../imges/863820316318456120.png" /></div>'
		} else {
			tempLate = '<div class="praise"><img src="../../imges/14773541549643298.png" /></div>'
		}
		$(".dianZang").html(tempLate)
		var swith = false
		$(document).on("tap", ".praise", function() {
			if(swith) {
				return
			}
			swith = true
			common.ajax("student/reading/like", {
				uid: common.uid,
				token: common.token,
				readingRecordUid: obj.readingrecorduid
			}, function(data) {
				swith = false
				if(data.code == 200) {
					if(plus.webview.getWebviewById("hotread.html") != null) {
						plus.webview.getWebviewById('hotread.html').reload()
						plus.webview.getWebviewById('hotread2.html').reload()
						plus.webview.getWebviewById('teacherreads.html').reload()
					}
					if(plus.webview.getWebviewById("../settings/Reading.html") != null) {
						var list = plus.webview.currentWebview('../settings/Reading.html').opener();　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
						mui.fire(list, 'refreshs');
					}
					$(".num").text(Number($(".num").text()) + 1)
					$(".dianZang").html('<div class="haslike"><img src="../../imges/863820316318456120.png" /></div>')
				} else {
					mui.toast(data.message)
				}
			})
		})
		$(document).on("tap", ".statistics", function() {
			if($(".praise").length == 0) {
				return
			}
			if(swith) {
				return
			}
			swith = true
			common.ajax("student/reading/like", {
				uid: common.uid,
				token: common.token,
				readingRecordUid: obj.readingrecorduid
			}, function(data) {
				swith = false
				if(data.code == 200) {
					if(plus.webview.getWebviewById("hotread.html") != null) {
						plus.webview.getWebviewById('hotread.html').reload()
						plus.webview.getWebviewById('hotread2.html').reload()
						plus.webview.getWebviewById('teacherreads.html').reload()
					}
					if(plus.webview.getWebviewById("../settings/Reading.html") != null) {
						var list = plus.webview.currentWebview('../settings/Reading.html').opener();　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
						mui.fire(list, 'refreshs');
					}
					$(".num").text(Number($(".num").text()) + 1)
					$(".dianZang").html('<div class="haslike"><img src="../../imges/863820316318456120.png" /></div>')
				} else {
					mui.toast(data.message)
				}
			})
		})
	}
	$(".bar_inp").on("focus", "input", function() {
		$(".com_icon").find("div").hide()
		$(".sendout").show()
	}).on("blur", "input", function() {
		$(".com_icon").find("div").show()
		$(".sendout").hide()
	})
	var swith = false
	$(".sendout").on("tap", function() {
		if(swith) {
			return
		}
		if($(".bar_inp").find("input").val().length < 3) {
			mui.toast("不能少于3个字")
			return
		}
		if(!trim($(".bar_inp").find("input").val())) {
			return
		}
		swith = true
		$(".bar_inp").find("input").focus()
		$(".com_icon").find("div").hide()
		$(".sendout").show()

		common.ajax("student/reading/comment", {
			uid: common.uid,
			token: common.token,
			readingRecordUid: obj.readingrecorduid,
			commentContent: $(".bar_inp").find("input").val()
		}, function(data) {
			swith = false
			if(data.code == 200) {
				reads.total +=1
				$(".bar_inp").find("input").val("")
				temp = 1
				reads.queryComment = []
				refresh()
				mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
				mui('#pullrefresh').pullRefresh().refresh(true);

				if(plus.webview.getWebviewById("hotread.html") != null) {
					plus.webview.getWebviewById('hotread.html').reload()
					plus.webview.getWebviewById('hotread2.html').reload()
					plus.webview.getWebviewById('teacherreads.html').reload()
				}
				/*if(plus.webview.getWebviewById("../settings/Reading.html") != null) {
					plus.webview.getWebviewById('../settings/Reading.html').reload()
				}*/
				if(plus.webview.getWebviewById("../settings/Reading.html") != null) {
					var list = plus.webview.currentWebview('../settings/Reading.html').opener();　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
					mui.fire(list, 'refreshs');
				}
				mui.toast("评论成功")
			} else {
				mui.toast(data.message)
			}
		})
	})
	refresh()
	$(".scroll").on("tap", function() {
		mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
	})
})

function refresh() {
	if(mui.os.plus) {
		mui.plusReady(function() {
			setTimeout(function() {
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}, 300);

		});
	} else {
		mui.ready(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		});
	}
}

function pullupRefresh() {
	common.ajax("student/reading/queryComment", {
		uid: common.uid,
		token: common.token,
		readingRecordUid: $(".rendering").attr("readingrecorduid"),
		page: temp++,
		pageSize: 8
	}, function(data) {
		//					console.log(data)
		if(!data.data.hasNextPage) {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh();
		}
		//					console.log(data)
		reads.total = data.data.total
		for(var i = 0; i < data.data.list.length; i++) {
			reads.queryComment.push(data.data.list[i])
		}
	}, "get")
}
//var interval = setInterval(function() {
//	document.body.scrollTop = document.body.scrollHeight
//}, 100)

var setheight = ''
$("input").on("focus", function() {
	setHe()
})

$("input").on("blur", function() {
	clearTimeout(setheight)
})

function setHe() {
	document.body.scrollTop = document.body.scrollHeight
	setheight = setTimeout(setHe, 100)
}

function formatSeconds(s) {
	var t;
	if(s > -1) {
		var hour = Math.floor(s / 3600);
		var min = Math.floor(s / 60) % 60;
		var sec = s % 60;
		if(hour < 10) {
			t = '0' + hour + ":";
		} else {
			t = hour + ":";
		}

		if(min < 10) {
			t += "0";
		}
		t += min + ":";
		if(sec < 10) {
			t += "0";
		}
		t += sec.toFixed(2);
	}
	return t;
}

function trim(s) {
	return s.replace(/(^\s*)|(\s*$)/g, "");
}