mui.init()
document.addEventListener("plusready", onPlusReady, false);
var r = null;
// 扩展API加载完毕，现在可以正常调用扩展API 
function onPlusReady() {
	plus.device.setWakelock(true);
	//关闭慧听是否开启,开启就关闭
	if(plus.webview.getWebviewById("dictationPlay.html")) {
		plus.webview.close("dictationPlay.html");
		plus.webview.close("dictationClsData.html")
		localStorage.setItem("clearplay", false)
		var wvs = plus.webview.all();
		for(var i = 0; i < wvs.length; i++) {
			var list = plus.webview.getWebviewById(wvs[i].id)
			mui.fire(list, 'clearplay');
		}
	}

	plus.io.resolveLocalFileSystemURL('_doc/', function(entry) {
		entry.getDirectory('audio', {
			create: true
		}, function(dir) {
			dir.removeRecursively(function() {
				// Success
				console.log('操作成功！');

			}, function(e) {
				console.log('操作失败：' + e.message);
			});
		}, function(e) {
			console.log('Get directory "audio" failed: ' + e.message);
		});
	}, function(e) {
		console.log('Resolve "_doc/" failed: ' + e.message);
	});

	var old_back = mui.back;
	var self = plus.webview.currentWebview();
	var obj = self.parameter;
	plus.device.setVolume(0.6)
	console.log(JSON.stringify(obj))

	//随机数

	var timestamp = common.uid + new Date().getTime()

	//				console.log(obj.plancaseuid)
	//console.log(obj.plancaseuid)
	$(".mui-content").height($(window).height())

	$(".aplayheade").height($(".mui-content").height() - 200)
	r = plus.audio.getRecorder();
	common.ajax("student/reading/queryPage", {
		uid: common.uid,
		token: common.token,
		caseUid: obj.caseuid
	}, function(data) {
		if(data.code == 200) {
			var tex = plus.audio.createPlayer(data.data.soundTrackUrl);
			tex.setRoute(plus.audio.ROUTE_SPEAKER)
			muisrc(data)
			$(".main").attr("uid", data.data.uid)
			$(".mui-title").text(data.data.caseName)
		} else {
			mui.toast(data.message)
		}
	}, "get")

	function muisrc(data) {
		if(data.data.totalTimeStr == "" || data.data.totalTimeStr == "00:00") {
			mui.back()
			return
		}
		$(".totaltime").text(data.data.totalTimeStr)
		//				console.log(data)
		var time = []
		$.each(data.data.caseTimeList, function(e, a) {
			if(a.length == 4) {
				a = "0" + a
			}
			time.push(a.split(".").join(":") + '.00')
		})

		var temp = ""
		for(var i = 0; i < data.data.caseLycList.length; i++) {
			temp += '[' + time[i] + ']' + data.data.caseLycList[i] + "\n"
		}
		var ap3 = new APlayer({
			element: document.getElementById('player3'),
			narrow: false,
			autoplay: false,
			showlrc: 1,
			mutex: true,
			theme: '#615754',
			preload: 'metadata',
			mode: 'order',
			music: [{
				title: data.data.caseName,
				author: '',
				url: data.data.soundTrackUrl,
				pic: '',
				lrc: temp
			}, {
				title: data.data.caseName,
				author: '',
				url: '../../imges/jing.mp3',
				pic: '',
				lrc: temp
			}]
		});
		var num = 4
		dowmTime()
		//					ap3.volume(0.5)

		function dowmTime() {
			--num
			$(".countdown_num").text(num)
			if(num <= 0) {
				$(".down_text").text("录制中..")
				$(".countdown_time").css({
					'-webkit-transform': 'translate(0%)',
					'-moz-transform': 'translate(0%)',
					'-ms-transform': 'translate(0%)',
					'-o-transform': 'translate(0%)',
					'transform': 'translate(0%)'
				})

				$(".countdown").css({
					'-webkit-transform': 'translate(300%)',
					'-moz-transform': 'translate(300%)',
					'-ms-transform': 'translate(300%)',
					'-o-transform': 'translate(300%)',
					'transform': 'translate(300%)'
				})
				$(".aplayer-lrc").css({
					'-webkit-transform': 'translate(0%)',
					'-moz-transform': 'translate(0%)',
					'-ms-transform': 'translate(0%)',
					'-o-transform': 'translate(0%)',
					'transform': 'translate(0%)'
				})
				ap3.audio.currentTime = 0
				ap3.play()
				startRecord(ap3)
				return
			}
			setTimeout(dowmTime, 1000)
		}
		ap3.on('playing', function() {
			if($(".timing").text() >= $(".totaltime").text()) {
				$(".countdown_text").hide()
				$(".result").css("bottom", "0")
				$(".timing").text("00:00")
				ap3.audio.currentTime = 0
				ap3.pause()
				if(r != null) {
					r.stop();
				}
				tapeplay()
				return
			}
			$(".plan_time").text($(".aplayer-ptime").text())
			$(".timing").text($(".aplayer-ptime").text())
		});

		function tapeplay() {
			var kaiguan = false
			var p = ""
			//						p.setRoute(plus.audio.ROUTE_SPEAKER)
			$(".broadcasts").on("tap", function() {
				if(kaiguan) {
					return
				}
				ap3.setMusic(1)
				//							ap3.setMusic = 
				kaiguan = true
				p = plus.audio.createPlayer("_doc/audio/test" + timestamp + ".amr");
				//							ap3.audio.currentTime = 0
				ap3.play()
				p.setRoute(plus.audio.ROUTE_SPEAKER)
				if(plus.audio == undefined) {
					mui.toast("Device not ready!");
				}
				ap3.volume(0)
				p.play(function() {
					kaiguan = false
					if(p != '') {
						p.stop();
					}
					$(".broadcasts").show()
					$(".planzantin").hide()
					$(".audition").show()
					$(".suspendbutton").hide()
				});
				$(this).hide()
				$(".planzantin").show()
				$(".audition").hide()
				$(".suspendbutton").show()
				return p
			})

			$(".audition").on("tap", function() {
				if(kaiguan) {
					return
				}
				ap3.setMusic(1)
				//							ap3.setMusic = 
				kaiguan = true
				p = plus.audio.createPlayer("_doc/audio/test" + timestamp + ".amr");
				//							ap3.audio.currentTime = 0
				ap3.play()
				p.setRoute(plus.audio.ROUTE_SPEAKER)
				if(plus.audio == undefined) {
					mui.toast("Device not ready!");
				}
				ap3.volume(0)
				p.play(function() {
					kaiguan = false
					if(p != '') {
						p.stop();
					}
					$(".broadcasts").show()
					$(".planzantin").hide()
					$(".audition").show()
					$(".suspendbutton").hide()
				});
				$('.broadcasts').hide()
				$(".planzantin").show()
				$(".audition").hide()
				$(".suspendbutton").show()
				return p
			})

			var success = false
			$(".release").on("tap", function() {
				if(success) {
					return
				}
				success = true
				ap3.pause()
				if(p != "") {
					p.pause()
				}
				var wt = plus.nativeUI.showWaiting()

				var task = plus.uploader.createUpload(common.urls + "pk/publish", {
						method: "POST",
						//						blocksize: 204800,
						//						priority: 100
					},
					function(t, status) {
						wt.close()
						// 上传完成
						if(JSON.parse(t.responseText).code == 200) {
							/*mui.toast("发布成功")*/
							if(JSON.parse(t.responseText).data.gainScore != 0) {
								$('.integral').html('<span class="fraction">+' + JSON.parse(t.responseText).data.gainScore + '</span>积分')
							}
							$(".success").css("display", "block")

							if(obj.plancaseuid != '') {
								var list = plus.webview.getWebviewById('../readpk/iwantpk.html')
								mui.fire(list, 'challenge');
							} else {
								var list = plus.webview.getWebviewById('../readpk/iwantpk.html')
								mui.fire(list, 'launch');
							}

						} else {
							success = false
							mui.toast(JSON.parse(t.responseText).message);
						}
					}
				);
				task.addFile("_doc/audio/test" + timestamp + ".amr", {
					key: "file"
				});
				task.addData('uid', common.uid);
				task.addData('token', common.token);
				if(obj.plancaseuid != '') {
					task.addData('challengeUid', obj.plancaseuid);
				}
				task.addData("readingCaseUid", obj.caseuid)
				//task.addEventListener( "statechanged", onStateChanged, false );
				task.start();
				//						console.log(obj.plancaseuid)
			})
			$(".recording").on("tap", function() {
				if(p != '') {
					p.stop();
				}
				ap3.pause()
				location.reload();
			})
			$(".planzantin").on("tap", function() {
				ap3.pause()
				p.pause()
				$('.planzantin').hide()
				$(".resume").show()
			})
			$(".resume").on("tap", function() {
				ap3.play()
				p.resume()
				$('.resume').hide()
				$(".planzantin").show()
			})
		}

		mui.back = function() {
			if($(".result").css("bottom") == "0px") {
				ap3.pause()
				if(r != null) {
					r.stop();
				}
				old_back()
				return
			}
			if(mui.os.plus) {
				var a = [{
					title: "确定停止PK录音"
				}];
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: a
				}, function(b) {
					switch(b.index) {
						case 0:
							break;
						case 1:
							ap3.pause()
							if(r != null) {
								r.stop();
							}
							old_back()
							break;
					}
				})
			}
			//						old_back()
		}
	}

	function startRecord(ap3) {
		//苹果录音
		if(mui.os.ios) {
			if(r == null) {
				ap3.pause()
				old_back()
				mui.toast("麦克风设备尚未准备好!!")
				return;
			}
			r.record({
				filename: "_doc/audio/test" + timestamp + ".amr",
				format: "amr"
			}, function(e) {
				r.stop();
				console.log(e)
				//						console.log("Audio record success!");
			}, function(e) {
				mui.toast(e.message)
			});
			var pp = plus.navigator.checkPermission('RECORD');
			switch(pp) {
				case 'authorized':
					if(r == null) {
						ap3.pause()
						mui.back()
						mui.toast("麦克风设备尚未准备好!!")
						return;
					}
					r.record({
						filename: "_doc/audio/test" + timestamp + ".amr",
						format: "amr"
					}, function(e) {
						r.stop();
						console.log(e)
						//						console.log("Audio record success!");
					}, function(e) {
						ap3.pause()
						mui.toast("麦克风设备尚未准备好!!")
						old_back()
						console.log("Audio record failed: " + e.message);
					});
					console.log('已开启录音权限')
					break;
				case 'denied':
					ap3.pause()
					console.log('已关闭录音权限')
					var btnArray = ['知道了', '去设置'];
					mui.confirm('在设置/隐私/麦克风权限/找到一起阅读学生端开启麦克风权限,以正常使用语音功能', '权限申请', btnArray,
						function(e) {
							if(e.index == 1) {
								plus.runtime.launchApplication({
									action: 'App-Prefs:root=Privacy&path=MICROPHONE'
								}, function(e) {
									console.log(JSON.stringify(e));
								});
							}
							old_back()
						})

					break;
				case 'undetermined':
					mui.toast('未确定录音权限,请试听再发布!');
					break;
				case 'unknown':
					mui.toast('无法查询录音权限,请试听再发布!');
					break;
				default:
					mui.toast('不支持录音权限,请试听再发布!');
					break;
			}
		} else {
			//安卓录音
			if(r == null) {
				ap3.pause()
				old_back()
				mui.toast("麦克风设备尚未准备好!!")
				return;
			}
			r.record({
				filename: "_doc/audio/test" + timestamp + ".amr",
				format: "amr"
			}, function(e) {
				r.stop();
				console.log(e)
				//						console.log("Audio record success!");
			}, function(e) {
				ap3.pause()
				var btnArray = ['去设置', '知道了'];
				mui.confirm('在设置/应用/一起阅读学生端/权限开启麦克风权限,以正常使用语音功能', '权限申请', btnArray,
					function(e) {
						if(e.index == 0) {
							//修改包名
							var packageName = "com.tianqi.stu";
							var main = plus.android.runtimeMainActivity();
							var Uri = plus.android.importClass("android.net.Uri");
							var Settings = plus.android.importClass("android.provider.Settings");
							var packageURI = Uri.parse("package:" + packageName);
							var intent = plus.android.newObject("android.content.Intent", Settings.ACTION_APPLICATION_DETAILS_SETTINGS, packageURI);
							main.startActivity(intent);
						}
						old_back()
					})
				return
				console.log("Audio record failed: " + e.message);
			});
		}

	}
	$(".determine").on("tap", function() {
		plus.webview.close("pkreading.html", "slide-out-right")
		if(plus.webview.getWebviewById("readdetails.html")) {
			plus.webview.close("readdetails.html", "slide-out-right")
		}
		if(plus.webview.getWebviewById("pkdetail.html")) {
			plus.webview.close("pkdetail.html", "slide-out-right")
		}
		if(plus.webview.getWebviewById("pkplay.html")) {
			plus.webview.close("pkplay.html", "slide-out-right")
		}
		if(plus.webview.getWebviewById("pkreadlist.html")){
			plus.webview.close("pkreadlist.html", "slide-out-right")
		}
	})
}