//mui初始化
mui.init();

var bookshelf = new Vue({
	el: '.footer',
	data: {
		state: '',
		booknum: 0,
		data: []
	}
});
var bottom = 0
bookshelf.state = localStorage.getItem('state')
if(localStorage.getItem('state')) {
	bottom = '84px'
} else {
	bottom = '0'
}

var subpages = ['detail.html', 'Introduction.html', 'evaluate.html'];
var subpage_style = {
	top: '45px',
	bottom: bottom
};

var aniShow = {};

//创建子页面，首个选项卡页面显示，其它均隐藏；
mui.plusReady(function() {
	var mask = mui.createMask()
	for(var a = 0; a < 4; a++) {
		plus.webview.close(subpages[a])
	}
	var self = plus.webview.currentWebview();
	var parameterid = self.parameter
	console.log(self.parameter)

	var sub = ''
	for(var i = 0; i < 4; i++) {
		var temp = {};
		sub = plus.webview.create(subpages[i], subpages[i], subpage_style, {
			parameterid: parameterid
		});
		if(i > 0) {
			sub.hide();
		} else {
			temp[subpages[i]] = "true";
			mui.extend(aniShow, temp);
		}
		self.append(sub);
	}

	//当前激活选项
	var activeTab = subpages[0];
	var title = document.getElementById("title");
	//选项卡点击事件
	mui('.mui-bar-tab').on('tap', 'a', function(e) {
		var targetTab = this.getAttribute('href');
		if(targetTab == activeTab) {
			return;
		}
		//更换标题

		//显示目标选项卡
		//若为iOS平台或非首次显示，则直接显示
		if(mui.os.ios || aniShow[targetTab]) {
			plus.webview.show(targetTab);
		} else {
			//否则，使用fade-in动画，且保存变量
			var temp = {};
			temp[targetTab] = "true";
			mui.extend(aniShow, temp);
			plus.webview.show(targetTab, "fade-in", 300);
		}
		//隐藏当前;
		plus.webview.hide(activeTab);
		//更改当前活跃的选项卡
		activeTab = targetTab;
	});

	var floatw = null;
	ws = plus.webview.currentWebview();
	floatw = plus.webview.create("../reading/menu.html", "menu", {
		background: 'transparent',
		zindex: 0,
		top: '0',
		bottom: '0'
	});
	// 创建悬浮窗口
	function floatWebview() {
		if(floatw) { // 避免快速多次点击创建多个窗口
			floatw.show("fade-in");
		} else {
			floatw = plus.webview.create("../reading/menu.html", "menu", {
				background: 'transparent',
				zindex: 0
			});
			floatw.show("fade-in");
		}
	}

	$(document).on("tap", ".beenadded", function() {
		var booknums = JSON.parse(localStorage.getItem("books")) || []
		if($(this).hasClass("beenaddedshow")) {
			footerhide()
		} else {
			$('.beenadded').addClass("beenaddedshow")
			$(".empty").css("display", "block")
			var height = booknums.length * 44
			$(".added_html").height(height)
			plus.webview.getWebviewById(activeTab).setStyle({
				bottom: (height + 84) + 'px'
			})
			floatw.setStyle({
				bottom: height + 84 + 'px'
			})
			floatWebview()
		}

	})
	$(document).on("tap", '.remove_url', function() {
		bookshelf.data.splice($(this).parents(".added_text").index(), 1)
		bookshelf.booknum = bookshelf.data.length
		var height = bookshelf.booknum * 44
		$(".added_html").height(height)
		floatw.setStyle({
			bottom: height + 84 + 'px'
		})
		plus.webview.getWebviewById(activeTab).setStyle({
			bottom: (height + 84) + 'px'
		})
		localStorage.setItem('books', JSON.stringify(bookshelf.data))
		var lists = plus.webview.getWebviewById("joinreading.html");
		mui.fire(lists, 'bookaddnum');
		plus.webview.getWebviewById('nominate.html').reload()
		plus.webview.getWebviewById('recommend.html').reload()
		plus.webview.getWebviewById('hotbooks.html').reload()
		var list = plus.webview.getWebviewById('searchdetails.html');　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
		mui.fire(list, 'refreshs');
		var bookshelfs = plus.webview.getWebviewById("../home/bookshelf.html")
		mui.fire(bookshelfs, 'mybookshelf');
		addstate()
	})

	function footerhide() {
		$(".beenadded").removeClass("beenaddedshow")
		$('.empty').hide()
		$(".added_html").height(0)
		plus.webview.getWebviewById(activeTab).setStyle({
			bottom: '84px'
		})
		floatw.hide()
	}
	window.addEventListener('maskhide', function(e) { //执行刷新
		footerhide()
	});
});

function texts() {
	var booknums = JSON.parse(localStorage.getItem("books")) || []
	bookshelf.booknum = booknums.length
	bookshelf.data = booknums
}
texts()

$(document).on("tap", '.jiaru', function() {
	plus.webview.getWebviewById("../reading/release.html").reload()
	plus.webview.close("joinreading.html")
	if(plus.webview.getWebviewById("../teachstudy/seach.html") != null) {
		plus.webview.close("../teachstudy/seach.html")
	}
	if(plus.webview.getWebviewById("searchdetails.html") != null) {
		plus.webview.close("searchdetails.html")
	}
	plus.webview.close("../bookdetails/details.html", "slide-out-right")
})
//清空
$(document).on("tap", ".empty", function() {
	bookshelf.data = []
	localStorage.removeItem('books')
	bookshelf.booknum = 0
	var lists = plus.webview.getWebviewById("joinreading.html");
	mui.fire(lists, 'joinreading');
	if(plus.webview.getWebviewById('searchdetails.html') != null) {
		var searchdetails = plus.webview.getWebviewById('searchdetails.html')
		mui.fire(searchdetails, 'refresh');
	}
	var lists = plus.webview.getWebviewById("joinreading.html");
	mui.fire(lists, 'bookaddnum');
	plus.webview.getWebviewById('nominate.html').reload()
	plus.webview.getWebviewById('recommend.html').reload()
	plus.webview.getWebviewById('hotbooks.html').reload()
	var bookshelfs = plus.webview.getWebviewById("../home/bookshelf.html")
	mui.fire(bookshelfs, 'mybookshelf');
	var list = plus.webview.getWebviewById('searchdetails.html');　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
	mui.fire(list, 'refreshs');
	addstate()
})

function addstate() {
	var list = plus.webview.getWebviewById('detail.html')　　　 //触发父页面的自定义事件(refresh),从而进行刷新
	mui.fire(list, 'addstate');
}

window.addEventListener('booknum', function(e) { //执行刷新
	texts()
});