(function() {
	window.common = {
		//ajax
		init: function() {
			common.dictationCommon()
			//common.urls = 'http://192.168.0.118:8081/api/'
			//						common.urls = 'http://api.yiqiyuedu.cn/api/'
			common.urls = 'http://dxapi.yiqiyuedu.cn/api/'
			//			common.urls = 'http://112.74.17.151:9000/api/'
			common.data = JSON.parse(localStorage.getItem("data"))
			if(common.data == null) {
				return
			}
			common.uid = common.data.uid
			common.token = common.data.token
			var isIPHONE = navigator.userAgent.toUpperCase().indexOf('IPHONE') != -1;
			if(isIPHONE) {
				var obj = $('input')
				$("body").on('tap', function() {
					obj.blur();
				});
			}
		},
		getToken: function() {
			common.ajax('/getToken', {
				'uid': common.uid
			}, function(data) {
				if(data.code == 200) {
					common.token = data.data;
				}
			});
		},

		ajax: function(url, deta, callback, type) {
			//112.74.17.151:8090  
			//192.168.0.116:8080
			//192.168.0.116:8081/
			mui.ajax(common.urls + url, {
				data: deta,
				dataType: 'json', //服务器返回json格式数据
				type: type || 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				beforeSend: function() {
					var txt = '<div class="loadmore-box"><div class="sk-body load-circle"><div class="loader"></div></div></div>'
					$("body").append(txt)
					$(".sk-body").eq(0).css("display", "block")
					$("body").css({
						"pointer-events": "none"
					})

				},
				complete: function() {
					$(".sk-body").remove()
					$("body").css({
						"pointer-events": "inherit"
					})
				},
				success: function(data) {
					if(data.code == 300) {
						mui.toast("信息为空!")
					}
					//处理token过期
					if(data.code == 4001) {
						mui.toast("网络异常请重试！");
						common.getToken();
					}
					if(data.code == 4002 || data.code == 4003) {
						mui.plusReady(function() {
							localStorage.removeItem("data")
							var wvs, self, launch;
							wvs = plus.webview.all();
							self = plus.webview.currentWebview();
							launch = plus.webview.getLaunchWebview();
							for(var i = 0, len = wvs.length; i < len; i++) {
								if(wvs[i].getURL() == self.getURL() || wvs[i].getURL() == launch.getURL()) {
									continue;
								}
								wvs[i].close();
							}
							plus.storage.clear();
							self.close();
							plus.webview.open('/html/loginregistration/login.html', 'login.html')
						})
					}
					callback(data)
				},
				error: function(type) {
					mui.toast("网络异常")
				}
			});
		},

		//获取光标(标签,插入的标签)
		focu: function(selector, inserttag) {
			$(selector).on("focus", function() {
				$(this).addClass(inserttag)
			})
			$(selector).on("blur", function() {
				$(selector).removeClass(inserttag)
			})
		},
		//倒计时
		//countdown(标签,到数时间,背景颜色,到数完的背景颜色)
		countdown: function(selector, time, countdowncolor, color, texts) {
			var temp = time;
			jishi()

			function jishi() {
				if(temp >= 0) {
					$(selector).text(temp + "秒")
					$(selector).css({
						"background": countdowncolor,
						"pointer-events": "none"
					})
					setTimeout(jishi, 1000)
				} else {
					$(selector).css({
						"background": color,
						"pointer-events": "inherit"
					})
					$(selector).text(texts)
				}
				temp--
			}
		},
		open: function(urls, id, temp) {
			mui.openWindow({
				url: urls,
				id: id,
				extras: {
					parameter: temp
				},
				waiting: {
					autoShow: false, //自动显示等待框，默认为true
					//					title: '...',
					options: {

					}
				}
			});
		},
		clsopen: function() {
			$(document).on("tap", ".clsopen", function() {
				if($(this).attr("href") == "" || $(this).attr("href") == null) {
					return
				}
				common.open($(this).attr("href"), $(this).attr("href"), "")
			})
		},
		//慧听公共页面
		dictationCommon: function() {
			if($(".commonPlay").length < 1) {
				var txt = '<div class="commonPlay"><div id="container"><span></span><span></span><span></span><span></span><span></span></div></div>'
				$("body").append(txt)
			}
			$(document).on("tap", ".commonPlay", function() {
				common.open("../dictation/dictationPlay.html", "dictationPlay.html")
			})
			
			if(localStorage.getItem("clearplay") == 'true') {
				$(".commonPlay").show()
				console.log(localStorage.getItem("clearplay"))
			} else {
				$(".commonPlay").hide()
			}
			window.addEventListener("clearplay", function() {
				if(localStorage.getItem("clearplay") == 'true') {
					$(".commonPlay").show()
				} else {
					$(".commonPlay").hide()
				}
			})
		}
	}
	common.init()
	mui.plusReady(function() {
		plus.screen.lockOrientation("portrait-primary");
	});
})()