mui.init()
var hoems = new Vue({
	el: '#hoems',
	data: {
		banner: '',
		lastBanner: '',
		fristBanner: '',
		notice: '',
		indexRecommend: '',
		judgeUnReadMessage: 0
	},
	mounted: function() {
		//请求轮播
		common.ajax("banner/1", {
			uid: common.uid,
			token: common.token
		}, function(data) {
			if(data.code == 200) {
				hoems.banner = data.data
				hoems.lastBanner = data.data[0]
				hoems.fristBanner = data.data[0]

				hoems.$nextTick(function() {
					var slider = mui("#slider");
					slider.slider({
						interval: 8000
					});
					setTimeout(function() {
						hoems.fristBanner = data.data[data.data.length - 1]
					}, 8000)
				})
			} else {
				mui.toast(data.message)
			}
		})
		//请求通告
		common.ajax("student/index/notice", {
			uid: common.uid,
			token: common.token
		}, function(data) {
			if(data.code == 200) {
				hoems.notice = data.data
			} else {
				mui.toast(data.message)
			}
		}, 'get')
		//请求推荐书籍
		common.ajax("student/index/indexRecommend", {
			uid: common.uid,
			token: common.token
		}, function(data) {
			if(data.code == 200) {
				hoems.indexRecommend = data.data
			} else {
				mui.toast(data.message)
			}
			hoems.$nextTick(function() {
				setTimeout(function() {
					$(".groom_img").height($(".groom_img").width() * 1.618)
				}, 100)
			})
		}, 'get')
		//请求消息是否读过
		common.ajax("student/judgeUnReadMessage", {
			uid: common.uid,
			token: common.token
		}, function(data) {
			if(data.code == 200) {
				console.log(data)
				hoems.judgeUnReadMessage = data.data
			} else {
				mui.toast(data.message)
			}
		}, 'get')
	},
	methods: {
		//轮播跳转页面
		carousel: function(banner) {
			if(!banner.jumpUrl) {
				return
			}
			mui.openWindow({
				id: "../bookdetails/microShop.html",
				url: '../bookdetails/microShop.html',
				extras: {
					url: banner.jumpUrl
				}
			});
		},
		//打开书籍详情
		openDetails: function(details) {
			common.open("../bookdetails/details.html", "../bookdetails/details.html", details.bookUid)
		},
		//查看更多
		goRecommended: function() {
			var indexId = plus.webview.getWebviewById('index.html');
			mui.fire(indexId, "goRecommended");
		},
		//打开消息
		openNews: function() {
			hoems.judgeUnReadMessage = 0
			common.open("news.html", "news.html")
		}
	}
})

window.addEventListener('refreshnews', function(e) { //执行刷新
	common.ajax("student/judgeUnReadMessage", {
		uid: common.uid,
		token: common.token
	}, function(data) {
		if(data.code == 200) {
			hoems.judgeUnReadMessage = data.data
		} else {
			mui.toast(data.message)
		}
	}, 'get')
});

Vue.use(VueLazyload, {
	preLoad: 1.3,
	error: '../../imges/jpimageshomeerrorimage.png',
	loading: '../../imges/jpimageshomeerrorimage.png'
});
common.clsopen()