(function($, doc) {
	$.init();
	mui.previewImage();
	mui('.mui-scroll-wrapper').scroll({
		scrollY: false
	});

	var vm = new Vue({
		el: '#body',
		data: {
			list: '',
			schoolName: '',
			provinceId: '',
			provinceName: '',
			cityId: '',
			cityName: '',
			regionId: '',
			regionName: '',
			schoolId: '',
			address: '',
			avatar: ''
		}
	});
	var school = []
	var userPicker = new $.PopPicker();
	common.ajax("student/info", {
		uid: common.uid,
		token: common.token
	}, function(data) {
		if(data.code == 200) {
			Zepto('.checked').eq(data.data.sex - 1).attr("checked", "checked");
			vm.list = data.data;

			var tmp = data.data;
			provinceId = tmp.fkProvinceId;
			provinceName = tmp.provinceName;
			cityId = tmp.fkCityId;
			cityName = tmp.cityName;
			regionId = tmp.fkRegionId;
			regionName = tmp.regionName;
			schoolId = tmp.fkSchoolId;
			address = tmp.address;
			schoolName = tmp.schoolName;
			cardId = tmp.cardId;
			avatar = tmp.avatar;
			if(data.data.fkRegionId != "") {
				common.ajax("school/getSchool", {
					uid: common.uid,
					regionId: data.data.fkRegionId
				}, function(data) {
					school = []
					if(data.code == 200) {
						for(var i = 0; i < data.data.length; i++) {
							school.push({
								text: data.data[i].schoolName,
								id: data.data[i].id
							})
						}
//						if(school != "") {
////							document.getElementById("showUserPicker").style.color = "#333"
//						} else {
//							document.getElementById("showUserPicker").style.color = "#B2B2B2"
//							document.getElementById("showUserPicker").innerText = '请输入学校名称'
//						}
						userPicker.setData(school)
					} else {
						mui.toast(data.message)
					}
				})
			}
		} else {
			mui.toast(tmp);
		}
	}, "get");
//	var cityPicker = document.getElementById("showCityPicker3").innerText
	$.ready(function() {
		var _getParam = function(obj, param) {
			return obj[param] || '';
		};

		var bb = new $.PopPicker();
		bb.setData([{
			text: '一年级'
		}, {
			text: '二年级'
		}, {
			text: '三年级'
		}, {
			text: '四年级'
		}, {
			text: '五年级'
		}, {
			text: '六年级'
		}]);
		var aa = doc.getElementById('aa');
		var newcls = doc.getElementById('newcls')
		aa.addEventListener('tap', function(event) {
			bb.show(function(items) {
				newcls.innerText = items[0].text;
			});

		}, false);
		var user = new $.PopPicker();
		user.setData([{
			text: '1班'
		}, {
			text: '2班'
		}, {
			text: '3班'
		}, {
			text: '4班'
		}, {
			text: '5班'
		}, {
			text: '6班'
		}, {
			text: '7班'
		}, {
			text: '8班'
		}, {
			text: '9班'
		}, {
			text: '10班'
		}, {
			text: '11班'
		}, {
			text: '12班'
		}, {
			text: '13班'
		}, {
			text: '14班'
		}, {
			text: '15班'
		}, {
			text: '16班'
		}, {
			text: '17班'
		}, {
			text: '18班'
		}, {
			text: '19班'
		}, {
			text: '20班'
		}]);
		var classes = doc.getElementById('classes');
		var cls = doc.getElementById("classname")
		classes.addEventListener('tap', function(event) {
			user.show(function(items) {
				cls.innerText = items[0].text;

			});

		}, false);

		var cityPicker3 = new $.PopPicker({
			layer: 3
		});

		cityPicker3.setData(cityData3);
		var showCityPickerButton = doc.getElementById('showCityPicker3');
		var city = doc.getElementById('city');
		
	});
})(mui, document);

common.focu(".mui-input-clear", "green")
var save = document.getElementById('save');
var file = document.getElementById('file');
var back = document.getElementById('back');
var body = document.getElementById("body")
file.onchange = function() {
	mui.back()
	body.style.display = "none"
	var imgBox = document.getElementById('imgBox');
	document.getElementsByTagName('body')[0].style.backgroundColor = '#000';
	imgBox.style.display = 'block';
	file.style.display = "none"
};
save.onclick = function() {
	imgBox.style.display = 'none';
	body.style.display = "block"
	document.getElementsByTagName('body')[0].style.backgroundColor = '#f6f6f6';
	file.style.display = "none"
}
back.onclick = function() {
	plus.webview.currentWebview().reload();
}
var back = mui.back
mui.back = function() {
	if($("#imgBox").css("display") == "block") {
		plus.webview.currentWebview().reload();
	} else {
		back()
	}
}
$(".append").on("tap", function() {
	plus.gallery.pick(function(path) {
		$(".append").html("<div><img src='" + path + "'/></div>")
	}, function(e) {
		mui.toast("你取消了选择图片!");
	}, {
		filter: "image"
	});
})
var base64;
var cut = new ImgClip({
	canvas: 'canvas01', // canvas id
	fileObj: 'file', // file id
	cutBtn: 'save', // cut btn id
	resultObj: 'img', // result img i
	rotateR: 'rotateR',
	cutScale: 1, // 1:1、3:4
	cutW: '300' // '数字'或者'winW'关键字，裁切宽度，随屏幕宽或自己设置
});

var showCityPicker3 = $("#showCityPicker3").text()
var schol = $("#showUserPicker").text()

$(".next").on("tap", ".next-button", function() {
//	var provinceIds = Zepto("#showCityPicker3").attr("fkProvinceId") ? Zepto("#showCityPicker3").attr("fkProvinceId") : provinceId;
//	var provinceNames = Zepto("#showCityPicker3").attr("fkprovincename") ? Zepto("#showCityPicker3").attr("fkprovincename") : provinceName;
//	var cityIds = Zepto("#showCityPicker3").attr("fkCityId") ? Zepto("#showCityPicker3").attr("fkCityId") : cityId;
//	var cityNames = Zepto("#showCityPicker3").attr("fkcityname") ? Zepto("#showCityPicker3").attr("fkcityname") : cityName;
//	var regionIds = Zepto("#showCityPicker3").attr("fkRegionId") ? Zepto("#showCityPicker3").attr("fkRegionId") : regionId;
//	var regionNames = Zepto("#showCityPicker3").attr("fkregionname") ? Zepto("#showCityPicker3").attr("fkregionname") : regionName;
//	var schoolIds = Zepto("#showUserPicker").attr("uid") ? Zepto("#showUserPicker").attr("uid") : schoolId;
//	var schoolNames = Zepto("#showUserPicker").attr("name") ? Zepto("#showUserPicker").attr("name") : schoolName;
	var classNames = Zepto("#classname").text() ? Zepto("#classname").text() : className;
//	var addresss = (Zepto("#showCityPicker3").attr("fkprovincename") + Zepto("#showCityPicker3").attr("fkcityname") + Zepto("#showCityPicker3").attr("fkregionname")) ? (Zepto("#showCityPicker3").attr("fkprovincename") + Zepto("#showCityPicker3").attr("fkcityname") + Zepto("#showCityPicker3").attr("fkregionname")) : address;
	//	var avatars=Zepto("#img").attr("src")?Zepto("#img").attr("src"):avatar;
	var avatars = ''
	if(avatar != $("#img").attr("src")) {
		avatars = $("#img").attr("src")
	}
	if($(".studentname").val() == "") {
		$(".textprompt").css("display", "block")
		mui.toast("姓名不能为空")
		return
	}
//	else if(showCityPicker3 == $("#showCityPicker3").text()) {
//		mui.toast("请选择地区!!!")
//		return
//	} else if(addresss != address && schoolNames == schoolName) {
//		address = addresss;
//		mui.toast("地区已更换，请重新选择学校!!!")
//		return
//	}

	/*获取男女老师*/
	var gender = null
	Zepto.each(Zepto(".checked"), function(a, e) {
		if(Zepto(".checked")[a].checked) {
			if(a == 0) {
				gender = 1
			} else {
				gender = 2
			}

		}
	});
	common.ajax("student/modifyInformation", {
		token: common.token,
		uid: common.uid,
		sex: gender,
		name: $(".studentname").val(), //名字
		grade: $("#newcls").text(),
		schoolId: '13499', //学校名字
		schoolName: '深圳市东晓小学',
		className: classNames,
		cardId: cardId,
		provinceId: '440000', //省份id
		provinceName: '广东省', //省名字
		cityId: '440300', //城市id
		cityName: '深圳市', //城市名字
		regionId: '440303',
		regionName: '罗湖区',
		address: '广东省深圳市罗湖区',
		avatar: avatars, //头像
	}, function(data) {
		if(data.code == 200) {
			if(common.data.data != null) {
				common.data.data.grade = $("#newcls").text()
				localStorage.setItem('data', JSON.stringify(common.data))
			}
			var list = plus.webview.currentWebview("my.html").opener();　　　　 //触发父页面的自定义事件(refresh),从而进行刷新
			mui.fire(list, 'refresh');
			mui.toast("修改成功");
			mui.back();
		} else {
			mui.toast(data.message)
		}
	})
})