(function() {
	window.register = {
		init: function() {
			this.tapEvent()
			this.telephone =/^13[\d]{9}$|^14[5,7,9]{1}\d{8}$|^15[^4]{1}\d{8}$|^17[0,1,3,5,6,7,8]{1}\d{8}$|^18[\d]{9}$/;
			this.pass = /^\S{6,12}$/
		},
		tapEvent: function() {
			//获取光标
			common.focu("input", "green")
			//获取验证码
			$(".mui-btn-primary").on("tap", function() {
				var phone = document.getElementsByClassName("phone")[0]
				var self = this
				if(!register.telephone.test(phone.value)) {
					mui.toast("请输入正确的手机号码!")
					return
				}
			
				common.ajax("student/sendVerifyCode", {
					phone: phone.value,
					type: 1
				}, function(data) {
					if(data.code == 200) {
						common.countdown(self, 60, "#ababab", "#40CC8B","重新获取")
						mui.toast("发送成功!")
					} else {
						mui.toast(data.message)
					}
					console.log(data)
				})
			})
			//上去光标判断重新输入密码
			$("#surepassword").on("blur", function() {
				judgement()
			})
			$("#password").on("blur", function() {
				judgement()
			})

			function judgement() {
				if(!($("#surepassword").val() == "" || $("#password").val() == "")) {
					if(!(register.pass.test($("#surepassword").val()) && register.pass.test($("#password").val()))) {
						mui.toast("请输入6到12位的密码!")
						return
					}
					if($("#password").val() != $("#surepassword").val()) {
						mui.toast("密码错误!")
						return
					}
				}
			}
			//下一步
			var swith = false
			$(".next-button").on("tap", function() {
				var phone = document.getElementsByClassName("phone")[0];
				var verify=document.getElementById("verify");
				if(!register.telephone.test(phone.value)) {
					mui.toast("请输入正确的手机号码!")
					return
				}
				if($("#verify").val() == "") {
					mui.toast("验证码不能为空!")
					return
				}
				if($("#surepassword").val() == "" && $("#password").val() == "") {
					mui.toast("密码不能为空!")
					return
				}
				if(!(register.pass.test($("#surepassword").val()) && register.pass.test($("#password").val()))) {
					mui.toast("请输入6到11位的密码!")
					return
				}
				if($("#password").val() != $("#surepassword").val()) {
					mui.toast("确定密码不一致!")
					return
				}
				if(swith){
					return
				}
				swith = true
				common.ajax("student/reg01", {
					phone: phone.value,
					code:verify.value,
					password1: $("#password").val(),
					password2: $("#surepassword").val()
				}, function(data) {
					if(data.code == 200) {
						localStorage.setItem("data", JSON.stringify(data.data))
						common.open("message.html","")
					} else {
						mui.toast(data.message)
						swith = false
					}
				})
			})
		}
	}
	register.init()
})()