mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
})
mui.previewImage();
var vm = new Vue({
	el: '.friend',
	data: {
		list: [],
		bookName: "",
		bookid: '',
		data: [],
		imgurl: '',
		cls: [],
		shu: '',
		swith: false
	},
	methods: {
					notelaud: function(list) {
						if(!list.hasLike && !vm.swith) {
							vm.swith = true
							common.ajax("student/note/like", {
								uid: common.uid,
								token: common.token,
								readNoteUid: list.readNoteUid
							}, function(data) {
								if(data.code == 200) {
									list.hasLike = true
									list.likeCount += 1
								} else {
									mui.toast(data.message)
								}
								vm.swith = false
							})

						}
					},
					clickComment: function(list, index) {
						list.clickComment = !list.clickComment
						if(list.clickComment && list.commentMain == '') {
							list.seeData = '加载中'
							common.ajax("student/note/queryReadNoteComment", {
								uid: common.uid,
								token: common.token,
								readNoteUid: list.readNoteUid,
								page: 1,
								pageSize: 5
							}, function(data) {
								if(data.code == 200) {
									if(!data.data.hasNextPage) {
										list.seeData = '没有更多了'
									} else {
										list.seeData = '查看更多'
									}

									list.commentMain = data.data
									console.log(data)
								} else {
									list.seeData = '网络异常,重新加载'
									mui.toast(data.message)
								}
							})
						}
					},
					//评论
					comments: function(list) {
						if(vm.swith || list.modeVal == '') {
							return
						}
						vm.swith = true
						common.ajax("student/note/comment", {
							uid: common.uid,
							token: common.token,
							readNoteUid: list.readNoteUid,
							commentContent: list.modeVal
						}, function(data) {
							vm.swith = false
							if(data.code == 200) {
								list.commentCount += 1
								mui.toast("评论成功")
								var commentMy = {
									commentContent: list.modeVal,
									loginAccountName: common.data.data.name
								}
								list.commentMain.list.unshift(commentMy)

								list.modeVal = ''
							} else {
								mui.toast(data.message)
							}
						})
					},
					//查看更多
					seeData: function(list) {
						if(list.commentMain.hasNextPage) {
							list.commentPagenum += 1
							list.seeData = '加载中'
							common.ajax("student/note/queryReadNoteComment", {
								uid: common.uid,
								token: common.token,
								readNoteUid: list.readNoteUid,
								page: list.commentPagenum,
								pageSize: 5
							}, function(data) {
								if(data.code == 200) {
									if(!data.data.hasNextPage) {
										list.seeData = '没有更多了'
									} else {
										list.seeData = '查看更多'
									}
									data.data.list = list.commentMain.list.concat(data.data.list)
									list.commentMain = data.data
								} else {
									list.seeData = '网络异常,重新加载'
									mui.toast(data.message)
								}
							})
						}
					}

				}
});
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var id = self.parameter.bookUid;
	var bookName = self.parameter.bookName;
//	console.log(id)
//var id = '6f1e8dbc792d4079914c862a5d692d5f'
vm.bookName = bookName
vm.bookid = id
if(mui.os.plus) {
	mui.plusReady(function() {
		setTimeout(function() {
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}, 300);

	});
} else {
	mui.ready(function() {
		mui('#pullrefresh').pullRefresh().pullupLoading();
	});
}
})
var temp = 0
var swith = false

function pullupRefresh() {
	if(swith) {
		return
	}
	swith = true
	common.ajax("student/note/v2/queryNote", {
		uid: common.uid,
		token: common.token,
		bookUid: vm.bookid,
		type: 2,
		page: ++temp,
		pageSize: 10
	}, function(data) {
		swith = false
		if(data.code == 200) {
			if(!data.data.hasNextPage) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh();
			}

			for(var i in data.data.list) {
				data.data.list[i].clickComment = false
				data.data.list[i].modeVal = ''
				data.data.list[i].commentMain = ''
				data.data.list[i].commentPagenum = 1
				data.data.list[i].seeData = ''
			}
			vm.shu = data.data.list.length
			vm.list = vm.list.concat(data.data.list);
		} else {
			mui.toast(data.message)
		}
	}, "get");
}