mui.init({
	pullRefresh: {
		container: '#offCanvasContentScroll',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	},
	gestureConfig: {
		longtap: true, //默认为false
	}
});
var bookshelf = new Vue({
	el: '.line',
	data: {
		books: [],
		state: localStorage.getItem("state")
	},
	updated: function() {
		$(".bookdata").on("longtap", function() {
			heid()
			$(this).find(".remove").css("display", "block")
			$(this).find(".remove_text").css("display", "block")
		})
		$(".remove_text").on("tap", function(e) {
			var self = $(this)
			common.ajax("student/myShelf/delete", {
				uid: common.uid,
				token: common.token,
				bookUid: self.parents(".bookdata").attr("bookuid")
			}, function(data) {
				if(data.code == 200) {
					heid()
					self.parents(".bookdata").remove()
					mui.toast("成功删除")
					if($(".bookdata").length == 0) {
						$(".empty").css("display", "block")
						$("#offCanvasContentScroll").css("display", "none")
					}
					plus.webview.getWebviewById("nominate2.html").reload();
					plus.webview.getWebviewById("nominate.html").reload();

				} else {
					mui.toast(data.message)
				}
			})
			e.stopPropagation()
		})
		$(".remove").on("tap", function(e) {
			heid()
			e.stopPropagation()
		})
		$("body").on("tap", function() {
			heid()
		})
	}
});

function heid() {
	$(".remove").css("display", "none")
	$(".remove_text").css("display", "none")
}

var pageSize = 1

/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
	var self = this
	common.ajax("student/myShelf/queryMyShelf", {
		uid: common.uid,
		token: common.token,
		page: pageSize++,
		pageSize: "9"
	}, function(data) {
		//		console.log(JSON.stringify(data.data.list))
		//		mui('#offCanvasContentScroll').pullRefresh().refresh(true);
		if(data.code == 200) {
			var addbook = JSON.parse(localStorage.getItem('books')) || []
			$("body").show()
			mui('#offCanvasContentScroll').pullRefresh().refresh(true);
			if(data.data.list.length == 0) {
				$(".empty").css("display", "block")
				$("#offCanvasContentScroll").css("display", "none")
			} else {
				$(".empty").css("display", "none")
				$("#offCanvasContentScroll").css("display", "block")
			}
			if(!data.data.hasNextPage) {
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh(true)
			} else {
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh()
			}
			for(var i = 0; i < data.data.list.length; i++) {
				data.data.list[i].check = 0
				for(var j = 0; j < addbook.length; j++) {
					if(addbook[j].bookid == data.data.list[i].bookId) {
						data.data.list[i].check = 1
					}
				}
				bookshelf.books.push(data.data.list[i])
			}

			bookshelf.$nextTick(function() {
				$(".book").height($(".book").find("img").width() * (16 / 10))
			})
		} else {
			mui.toast(data.message)
		}
	}, "get")
}

$(".seach_val").on("focus", function() {
	common.open("../teachstudy/seach.html", "../teachstudy/seach.html", "")
	$(this).blur();
})

window.addEventListener("index", function() {
	location.reload();
})

setTimeout(function() {
	window.location.reload;
	shauxin()
}, 300)

function shauxin() {
	if(mui.os.plus) {
		mui.plusReady(function() {
			setTimeout(function() {
				window.location.reload;
				mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
			}, 300);

		});
	} else {
		mui.ready(function() {
			window.location.reload;
			mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
		});
	}

}
if(localStorage.getItem("state")) {
	$(".choice").hide()
} else {
	$(".choice").show()
	$(".choice").on("tap", function() {
		var indexId = plus.webview.getWebviewById("index.html");
		mui.fire(indexId, "goRecommended");
	})
}

$(document).on("tap", ".bookdata", function(ev) {
	if($(ev.target).is("button")) {
		return
	}
	common.open("../bookdetails/details.html", "../bookdetails/details.html", $(this).attr("bookuid"))
})
$(document).on("tap", '.addbook button', function(ev) {
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	if($(this).hasClass("mui-btn-outlined")) {
		$(this).text("已添加")
		$(this).removeClass("mui-btn-outlined")
		var obj = {}
		obj.bookid = $(this).parents(".bookdata").attr("bookid")
		obj.booksrc = $(this).parents(".bookdata").find(".book img").attr("src")
		obj.bookname = $(this).parents(".bookdata").find(".bookname").text()
		addbook.push(obj)
	} else {
		$(this).addClass("mui-btn-outlined")
		$(this).text("添加")
		for(var i = 0; i < addbook.length; i++) {
			if(addbook[i].bookid == $(this).parents(".bookdata").attr("bookid")) {
				addbook.splice(i, 1)
			}
		}
	}
	localStorage.setItem('books', JSON.stringify(addbook))
	plus.webview.getWebviewById('recommend.html').reload()
	plus.webview.getWebviewById('nominate.html').reload()
	var hotbooks = plus.webview.getWebviewById("hotbooks.html")
	mui.fire(hotbooks, 'toggleremoveClass');
	var list = plus.webview.getWebviewById("joinreading.html")
	mui.fire(list, 'bookaddnum');
})

window.addEventListener('mybookshelf', function(e) { //执行刷新
	refreshstatus()
});

function refreshstatus() {
	$(".addbook").find("button").addClass("mui-btn-outlined")
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	for(var i = 0; i < bookshelf.books.length; i++) {
		for(var j = 0; j < addbook.length; j++) {
			if(bookshelf.books[i].bookId == addbook[j].bookid) {
				$(".addbook").find("button").eq(i).removeClass("mui-btn-outlined")
			}
		}
	}
}

//$(document).on("tap", ".toggle", function(e) {
//	var addbook = JSON.parse(localStorage.getItem('books')) || []
//	if($(this).hasClass("add")) {
//		$(this).addClass("added")
//		$(this).text("已添加")
//		$(this).removeClass("add")
//
//		var temp = []
//		var obj = {}
//		var self = $(this)
//		obj.bookid = self.parents(".mainclass").attr("bookid")
//		obj.booksrc = self.parents(".mainclass").find("img").attr("src")
//		obj.bookname = self.parents(".mainclass").find(".title_name").text()
//
//		addbook.push(obj)
//		localStorage.setItem('books', JSON.stringify(addbook))
//	} else {
//
//		$(this).addClass("add")
//		$(this).text("添加")
//		$(this).removeClass("added")
//		for(var i = 0; i < addbook.length; i++) {
//			if(addbook[i].bookid == $(this).parents(".mainclass").attr("bookid")) {
//				addbook.splice(i, 1)
//			}
//		}
//		localStorage.setItem('books', JSON.stringify(addbook))
//	}
//	plus.webview.getWebviewById('recommend.html').reload()
//	var list = plus.webview.getWebviewById("joinreading.html")
//	mui.fire(list, 'bookaddnum');
//	e.stopPropagation()
//	return false
//})