mui.init({
	beforeback: function() {
		var list = plus.webview.currentWebview("../bookdetails/details.html").opener();
		mui.fire(list, 'refresh');
		return true;
	},
	pullRefresh: {
		container: '#offCanvasContentScroll',
		down: {
			callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});
var bookshelf = new Vue({
	el: '#searchdetails',
	data: {
		booksl: [],
		pingfen: [],
		trues: [],
		state: '',
		booknum: 0,
		booklist: []
	}
});
if(localStorage.getItem("state")) {
	bookshelf.state = true
	$("#offCanvasContentScroll").css("padding-bottom", '84px')
} else {
	$("#offCanvasContentScroll").css("padding-bottom", '0px')
	bookshelf.state = false
}
var kaiguan = false
$(document).on("tap", ".mainclass", function(e) {
	if(!$(e.target).is('button')) {
		common.open("../bookdetails/details.html", "../bookdetails/details.html", $(this).attr("bookuid"))
	}
})
$(document).on("tap", ".add", function(e) {
	if(kaiguan) {
		return
	}
	var self = $(this)
	kaiguan = true
	common.ajax("student/myShelf/addBook", {
		uid: common.uid,
		token: common.token,
		bookUid: $(this).parents(".mainclass").attr("bookuid")
	}, function(data) {
		if(data.code == 200) {
			mui.toast("添加成功")
			kaiguan = false
			self.addClass("added")
			self.text("已添加")
			plus.webview.getWebviewById("../home/bookshelf.html").reload();
			plus.webview.getWebviewById("nominate.html").reload();
			var list = plus.webview.getWebviewById("joinreading.html")
			mui.fire(list, 'bookaddnum');
			plus.webview.getWebviewById("nominate2.html").reload();
		} else {
			mui.toast(data.message)
			kaiguan = false
		}
	})
	e.stopPropagation()
})

var temp = 1
/**
 * 下拉刷新具体业务实现
 */
function pulldownRefresh() {
	setTimeout(function() {
		mui('#offCanvasContentScroll').pullRefresh().endPulldownToRefresh()
	}, 400)

}
/**
 * 上拉加载具体业务实现
 */
var seach = localStorage.getItem("seach")
console.log(seach)
//var seach = '一粒'

function pullupRefresh() {
	var self = this
	common.ajax('student/bookCity/queryAllBook', {
		uid: common.uid,
		token: common.token,
		keyWord: seach,
		page: temp++,
		pageSize: "8"
	}, function(data) {
		if(data.code == 200) {
			if(!data.data.hasNextPage) {
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh(true)
			} else {
				mui('#offCanvasContentScroll').pullRefresh().endPullupToRefresh()
			}
			datafor(data)
		} else {
			mui.toast(data.message)
		}
	}, 'get')
}
if(mui.os.plus) {
	mui.plusReady(function() {
		setTimeout(function() {
			mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
		}, 1000);

	});
} else {
	mui.ready(function() {
		mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
	});
}

function datafor(data) {
	for(var i = 0; i < data.data.list.length; i++) {
		if(String(data.data.list[i].mark).indexOf(".") != -1) {
			bookshelf.trues.push("scoring_two")
		} else {
			bookshelf.trues.push("")
		}
		bookshelf.booksl.push(data.data.list[i])
		bookshelf.pingfen.push(Math.floor(data.data.list[i].mark))
	}

	bookshelf.$nextTick(function() {
		var addbook = JSON.parse(localStorage.getItem('books')) || []
		//		console.log(JSON.stringify(addbook))
		$.each(addbook, function(e, a) {
			$.each($(".joinissue"), function(index, txt) {
				if($(this).parents(".mainclass").attr("bookid") == a.bookid) {
					$(this).addClass("joinissueadd")
					$(this).text("已添加")
					$(this).removeClass("joinissue")
				}
			});
		});
	})
}
$(".seach_val").on("focus", function() {
	mui.back()
	$(this).blur();
})

$(document).on("tap", ".addbookcord", function() {
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	if($(this).hasClass("joinissue")) {
		$(this).addClass("joinissueadd")
		$(this).text("已添加")
		$(this).removeClass("joinissue")
		var temp = []
		var obj = {}
		var self = $(this)
		obj.bookid = $(this).parents(".mainclass").attr("bookid")
		obj.booksrc = $(this).parents(".mainclass").find(".format img").attr("src")
		obj.bookname = $(this).parents(".mainclass").find(".title_name").text()

		addbook.push(obj)
		localStorage.setItem('books', JSON.stringify(addbook))
	} else {
		$(this).addClass("joinissue")
		$(this).text("添加")
		$(this).removeClass("joinissueadd")
		for(var i = 0; i < addbook.length; i++) {
			if(addbook[i].bookid == $(this).parents(".mainclass").attr("bookid")) {
				addbook.splice(i, 1)
			}
		}
		localStorage.setItem('books', JSON.stringify(addbook))
	}
	footernum()
	var lists = plus.webview.getWebviewById("joinreading.html");
	mui.fire(lists, 'bookaddnum');
	plus.webview.getWebviewById('nominate.html').reload()
	plus.webview.getWebviewById('recommend.html').reload()
	plus.webview.getWebviewById('hotbooks.html').reload()
	mui.fire(plus.webview.getWebviewById("../home/bookshelf.html"), 'mybookshelf');

})
footernum()

function footernum() {
	var books = JSON.parse(localStorage.getItem("books")) || []
	bookshelf.booknum = books.length
	bookshelf.booklist = books
}
var mask = mui.createMask(conceal)
$(document).on("tap", ".beenadded", function() {
	if($(this).hasClass("beenaddedshow")) {
		mask.close()
		conceal()
	} else {
		heght()
	}
})

$(document).on("tap", '.empty', function() {
	bookshelf.booknum = 0,
		bookshelf.booklist = []
	localStorage.removeItem("books")
	$(".addbookcord").addClass("joinissue")
	$(".addbookcord").removeClass("joinissueadd")
	$(".addbookcord").text("添加")
	var lists = plus.webview.getWebviewById("joinreading.html");
	mui.fire(lists, 'bookaddnum');
	plus.webview.getWebviewById('nominate.html').reload()
	plus.webview.getWebviewById('recommend.html').reload()
	plus.webview.getWebviewById('hotbooks.html').reload()
	mui.fire(plus.webview.getWebviewById("../home/bookshelf.html"), 'mybookshelf');
})

function conceal() {
	$(".beenadded").removeClass("beenaddedshow")
	$(".empty").css("display", "none")
	$('.added_html').css("height", "0px")

}

function heght() {
	mask.show()
	$('.beenadded').addClass("beenaddedshow")
	$(".empty").css("display", "block")
	var height = $(".added_text").eq(0).height() * $(".added_text").length
	$('.added_html').css("height", height)

}

$(document).on("tap", ".remove_url", function() {
	bookshelf.booklist.splice($(this).parents('.added_text').index(), 1)
	bookshelf.booknum = bookshelf.booklist.length
	$('.added_html').css("height", bookshelf.booklist.length * $(".added_text").eq(0).height())
	localStorage.setItem('books', JSON.stringify(bookshelf.booklist))
	selects()
	var lists = plus.webview.getWebviewById("joinreading.html");
	mui.fire(lists, 'bookaddnum');
	plus.webview.getWebviewById('nominate.html').reload()
	plus.webview.getWebviewById('recommend.html').reload()
	plus.webview.getWebviewById('hotbooks.html').reload()
	mui.fire(plus.webview.getWebviewById("../home/bookshelf.html"), 'mybookshelf');
})

function selects() {
	$(".addbookcord").addClass("joinissue")
	$(".addbookcord").removeClass("joinissueadd")
	$(".addbookcord").text("添加")
	var addbook = JSON.parse(localStorage.getItem('books')) || []
	//		console.log(JSON.stringify(addbook))
	$.each(addbook, function(e, a) {
		$.each($(".addbookcord"), function(index, txt) {
			if($(this).parents(".mainclass").attr("bookid") == a.bookid) {
				$(this).addClass("joinissueadd")
				$(this).text("已添加")
				$(this).removeClass("joinissue")
			}
		});
	});
}
$(document).on("tap", '.jiaru', function() {
	plus.webview.getWebviewById("../reading/release.html").reload()
	plus.webview.close("joinreading.html")
	plus.webview.close("../teachstudy/seach.html")
	plus.webview.close("searchdetails.html", "slide-out-right")
})
window.addEventListener('refreshs', function(e) { //执行刷新
	bookshelf.booksl = [],
		bookshelf.pingfen = [],
		bookshelf.trues = []
	temp = 1
	if(mui.os.plus) {
		setTimeout(function() {
			mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
		}, 1000);

	} else {
		mui.ready(function() {
			mui('#offCanvasContentScroll').pullRefresh().pullupLoading();
		});
	}
	footernum()
});